import request from "@/utils/request";

// 查询产品类型列表
export function listProductsType(query) {
  return request({
    url: "/business/productsType/list",
    method: "get",
    params: query,
  });
}

// 查询产品类型详细
export function getProductsType(id) {
  return request({
    url: "/business/productsType/" + id,
    method: "get",
  });
}

// 新增产品类型
export function addProductsType(data) {
  return request({
    url: "/business/productsType",
    method: "post",
    data: data,
  });
}

// 修改产品类型
export function updateProductsType(data) {
  return request({
    url: "/business/productsType",
    method: "put",
    data: data,
  });
}

// 删除产品类型
export function delProductsType(id) {
  return request({
    url: "/business/productsType/" + id,
    method: "delete",
  });
}
